/*==================================================================================================
Affiche du bon tableau pour la cration ou la modification d'annonce
+ changement du style de l'onglet
==================================================================================================*/

function afficherTableau(tableau)
{
	document.getElementById("tableau"+tableau).style.display="block";
	document.getElementById("intitule_tableau"+tableau).style.backgroundColor="#EEEEEE";
}


/*==================================================================================================
Cahce les tableaux ne devant pas apparatre  lors de la cration ou de la modification d'une annonce
+ changement du style de l'onglet
==================================================================================================*/

function cacherTableau(tableau)
{
	var tab=tableau.split(",");
	for (var i=0; i<tab.length; i++)
	{
		document.getElementById("tableau"+tab[i]).style.display="none";
		document.getElementById("intitule_tableau"+tab[i]).style.backgroundColor="transparent";	
	}
}
	
/*==================================================================================================
Vrification d'un champs obligatoire dansle formulaire d'annonce
==================================================================================================*/	
function formObligatoire(inputName, id)
{
	if(document.forms['annonce'].elements[inputName].value!="")
	{
		document.getElementById(id).style.backgroundColor="transparent";
	}
	else
	{
		document.getElementById(id).style.backgroundColor="#FFE9A6";
	}
}
	

/*==================================================================================================
Vrification des champs lors de la cration ou la modification d'une annonce
==================================================================================================*/

function verificationChamps()
{
	VenteLocation=document.forms['annonce'].elements['vente_location'].value;
	TypeMandat=document.forms['annonce'].elements['type_mandat'].value;
	TypeOffre=document.forms['annonce'].elements['type_offre'].value;
	CodePostal=document.forms['annonce'].elements['code_postal'].value;
	Ville=document.forms['annonce'].elements['ville'].value;
	PrixLoyer=document.forms['annonce'].elements['prix_loyer'].value;
	SurfaceHabitation=document.forms['annonce'].elements['surface_habitable'].value;
	TexteFr=document.forms['annonce'].elements['texte_francais'].value;
	Prestige=document.forms['annonce'].elements['prestige'].value;
	ChampAbsent="Ce(s) champ(s) sont vide(s):\n";
	var exprNombreVirgule=new RegExp("^[0-9]+$","g");
	erreur=0;
	
	
	
	if(VenteLocation=="")
	{
		erreur++;
		ChampAbsent=ChampAbsent+"- Vente ou location\n";
	}
	
	if(TypeMandat=="")
	{
		erreur++;
		ChampAbsent=ChampAbsent+"- Le type de mandat\n";
	}
	
	if(TypeOffre=="")
	{		
		erreur++;
		ChampAbsent=ChampAbsent+"- Le type d'offre\n";
	}
	
	if(CodePostal=="")
	{
		erreur++;
		ChampAbsent=ChampAbsent+"- Le code postal\n";
	}
	
	if(Ville=="")
	{
		erreur++;
		ChampAbsent=ChampAbsent+"- La ville\n";
	}
	
	if(PrixLoyer=="")
	{
		erreur++;
		ChampAbsent=ChampAbsent+"- Le prix/loyer\n";
	}
	
	if(SurfaceHabitation=="")
	{
		erreur++;
		ChampAbsent=ChampAbsent+"- La surface d'habitation\n";
	}
	
	if(TexteFr=="")
	{
		erreur++;
		ChampAbsent=ChampAbsent+"- Le texte de description (Fran\347ais)\n";
	}
	
	if(Prestige=="")
	{
		erreur++;
		ChampAbsent=ChampAbsent+"- L'\351tat de prestige\n";
	}
	
	if(erreur!=0)
	{
		alert(ChampAbsent);
		return false;
	}
	else
	{
		var erreur=0;
		ChampErreur="Ce(s) champ(s) ne sont pas correctement rempli(s) :\n";
		
		if(isNaN(PrixLoyer))
		{
			ChampErreur=ChampErreur+"- Le prix/loyer doit \352tre un nombre\n";
			erreur++;
		}
		
		if(isNaN(SurfaceHabitation))
		{
			ChampErreur=ChampErreur+"- La surface habitable doit \352tre un nombre\n";
			erreur++;
		}
		
		if(isNaN(SurfaceHabitation))
		{
			ChampErreur=ChampErreur+"- La charge doit \352tre un nombre\n";
			erreur++;
		}
		
		if(erreur!=0)
		{
			alert(ChampErreur);
			return false;
		}
		else
		{
			return true;
		}			
	}
}


/*==================================================================================================
Confimer la suppression d'une  annonce
==================================================================================================*/

function confirmerSupprimer()
{
	if (confirm("Supprimer l'annonce?"))
	{
		return true;
	}
	else
	{
		return false;
	}
}

function accesPage(page, nbPage, suiteLien)
{
	if(isNaN(page))
	{
		alert('Merci de saisir un chiffre');
	}
	else if (page <=0)	
	{
		alert('Merci de saisir un chiffre positif');
	}
	else if(page>nbPage)
	{
		alert('Merci de saisir un chiffre inf\351rieur ou \351gal au nombre de page total ('+nbPage+')');
	}
	else
	{
		window.location.replace("?exec=spipimmo&pg="+page+suiteLien);
	}
}